<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="md:mt-26 mt-6">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-md py-10 pb-20 px-3 md:px-0">
            <div class="mt-10 mb-20">
                <!-- <div class="col-span-4 slogan-login self-center  hidden lg:block">
                    <div >
                        Quên mật khẩu
                    </div>
                    <div class="border-bottom-slogan">
                    </div>
                </div>
                <div class="col-span-4 slogan-login-md self-center  hidden md:block lg:hidden">
                    <div >
                        Quên mật khẩu
                    </div>
                    <div class="border-bottom-slogan">
                    </div>
                </div>
                <div class="col-span-12 slogan-login-sm  block md:hidden">
                    <div class="flex justify-center">
                        Quên mật khẩu
                    </div>
                    <div class="line flex justify-center">
                        <div class="spec border-t-1px-solid">
                        </div>
                    </div>
                </div> -->
                <div class="md:col-span-8 col-span-12">
                    <div class="grid grid-cols-12 row-login justify-center md:px-5 px-0 pt-3 lg:pt-5">
                        <div class="col-span-12 md:col-start-2 md:col-end-12 px-8 md:px-0">
                            <form [formGroup]="changPasswordFormGroup">
                                <div class="text-danger" *ngIf="err"></div>
                                <div class="row-input-new-password">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Mật khẩu mới</mat-label>
                                            <input matInput formControlName="password" type="password" class="focus:ring-0"
                                                placeholder="Mật khẩu mới" required>
                                            <mat-error *ngIf="changPasswordFormGroup.hasError('required', 'password')">
                                                Mật khẩu là bắt buộc
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="row-input-confirmed-password">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Xác nhận mật khẩu</mat-label>
                                            <input matInput formControlName="confirmPassword" type="password" class="focus:ring-0"
                                                placeholder="Xác nhận mật khẩu" required>
                                            <mat-error
                                                *ngIf="changPasswordFormGroup.hasError('required', 'confirmPassword')">
                                                Xác nhận mật khẩu là bắt buộc
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <!-- <div class="grid grid-cols-12 mt-3 mb-2 justify-center">
                                    <div class="col-start-2 col-end-12 md:col-start-3 md:col-end-11">
                                        <button class="w-full uppercase" type="submit" mat-raised-button
                                            (click)="changePass()">
                                            Tiếp tục
                                            <mat-icon style="float: right; padding-top: 7px;">arrow_right_alt</mat-icon>
                                        </button>
                                        <div class=" py-1 back-login">
                                            <mat-icon class="icon">keyboard_backspace</mat-icon>
                                            <a class="text-black margin-left-20px" routerLink="#"
                                                (click)="back()">Trở lại trang trước</a>
                                        </div>
                                    </div>
                                </div> -->

                                <div class=" mb-5 md:mb-0">
                                    <div class="grid grid-cols-12 justify-center mt-5">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-2 col-end-12 col-btn-fp px-2">
                                            <button class="w-full bg-custom" type="submit" mat-raised-button
                                                (click)="changePass()">
                                                Tiếp tục
                                                <mat-icon style="float: right; padding-top: 7px;">arrow_right_alt</mat-icon>
                                            </button>
                                        </div>
                                    </div>
    
                                    <div class="grid grid-cols-12 justify-center">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-5 lg:col-end-9 col-start-4 col-end-10 col-btn-fp md:px-2 px-0">
                                            <div class="back-register mt-1 justify-center text-center md:text-center">
                                                <mat-icon class="icon mat-icon-size">keyboard_backspace</mat-icon>
                                                <a class="text-black margin-left-20px" routerLink="#"
                                                    (click)="back()">Trở lại trang trước</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="space">
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>